import App from './App';

// #ifndef VUE3
import Vue from 'vue';
import './uni.promisify.adaptor';
Vue.config.productionTip = false;
App.mpType = 'app';
const app = new Vue({
    ...App
});
app.$mount();
// #endif

// #ifdef VUE3
import {
    createSSRApp
} from 'vue';
export function createApp() {
    const app = createSSRApp(App);
    return {
        app
    };
}
// #endif

/**
 * 路由拦截
*/
import inter from './utils/routeTokenInterceptor.js';
inter.init({
    loginPath: '/pages/login/index',
    tokenKey: 'token',
    pages: [
        "/pages/home/index",
        "/pages/my/index",
        "/pages/replacementDeliveryScan/index",
        "/pages/replacementDeliveryScan/orderLines",
        "/pages/customizedDeliveryScan/index",
        "/pages/customizedDeliveryScan/orderLines",
        "/pages/inboundVerification/index",
        "/pages/inboundVerification/result",
        "/pages/deliveryNoteScan/index",
        "/pages/deliveryNoteScan/result",
        "/pages/billOfLadingScan/index",
        "/pages/billOfLadingScan/result",
        "/pages/outsourcedDeliveryScan/index"
    ]
});