// components/title/mainTitle.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        bgColor: {
            type: String,
            value: "bg-gradual-orange"
        },
        isBack: {
            type: Boolean,
            value: false
        },
        delta: {
            type: Number,
            value: 1
        },
        isHome: {
            type: Boolean,
            value: false
        },
        isCustom: {
            type: Boolean,
            value: false
        },
        name: {
            type: String,
            value: ""
        },
        customIcon: {
            type: String,
            value: ""
        },
        customText: {
            type: String,
            value: ""
        },
    },

    /**
     * 组件的初始数据
     */
    data: {},

    /**
     * 组件的方法列表
     */
    methods: {
        /**
         * 点击自定义事件
         */
        OnTabCustom() {
            if (typeof this.data.page === "object" && typeof this.data.page[this.data.callback] === "function") {
                this.data.page[this.data.callback]();
            }
        }
    }
});