const app = getApp();
const util = require("../../../utils/util");

Page({

	/**
	 * 页面的初始数据
	 */
	data: {
		StatusBar: app.globalData.StatusBar,
		CustomBar: app.globalData.CustomBar,
		Custom: app.globalData.Custom,
        data: {},
        isLogin: false,
		isLoad: false,
		loadType: "loading",
		loadText: "加载中..."
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {
        this.data.isLogin = app.globalData.isLogin;
        if (!app.globalData.isLogin) {
            return;
        }
		var page = this;
		app.GetCurrentUser({
			success: res => {
				page.setData({
					data: res,
					isLoad: false
				});
			},
			fail: res => {
				page.setData({
					isLoad: false
				});
				wx.showToast({
					title: res.errMsg,
					icon: 'none'
				});
			}
		});
		return;
	},

	/**
	 * 退出登录
	 */
	Exit: function (e) {
		app.Logout({
			success: () => {
				wx.redirectTo({
					url: '/pages/account/index',
				});
			},
			fail: res => {
				wx.showToast({
					title: res.errMsg,
					icon: 'none'
				});
			}
		});
	}
});