const app = getApp();
const util = require("../../../utils/util");

Page({

	/**
	 * 页面的初始数据
	 */
	data: {
		StatusBar: app.globalData.StatusBar,
		CustomBar: app.globalData.CustomBar,
		Custom: app.globalData.Custom,
		user: {},
		notice: {}
	},

	onLoad: function (options) {		
		var page = this;
		const eventChannel = this.getOpenerEventChannel();
		eventChannel.on('sendNotice', res => {
			page.setData({
				notice: res
			});
			page.setReaded();
		});
	},

	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow: function () {
	},

	/**
	 * 设置已读
	 */
	setReaded: function () {
		var data = {
			ids: []
		}
		data.ids.push(this.data.notice.id);
		app.Request({
			url: app.GetDomain() + '/api/Notice/SetNoticeRead',
			method: 'post',
			data: data,
			success: res => {},
			fail: res => {
				wx.showModal({
					title: '应用程序错误',
					content: res.errMsg,
				});
			}
		});
	}
});